# Uses of Interface
org.springframework.web.server.WebFilterChain

Packages that use WebFilterChain
Package
Description
org.springframework.web.cors.reactive
Reactive support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.filter.reactive
`WebFilter` implementations for use in reactive web applications.
org.springframework.web.server
Core interfaces and classes for Spring's generic, reactive web support.
org.springframework.web.server.handler
Provides common WebHandler implementations and a `WebHandlerDecorator`.

## Uses of WebFilterChain in org.springframework.web.cors.reactive

Methods in org.springframework.web.cors.reactive with parameters of type WebFilterChain
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
CorsWebFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
`reactor.core.publisher.Mono<Void>`
PreFlightRequestWebFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`

## Uses of WebFilterChain in org.springframework.web.filter.reactive

Methods in org.springframework.web.filter.reactive with parameters of type WebFilterChain
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
HiddenHttpMethodFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
Transform an HTTP POST into another method based on `methodParamName`.
`reactor.core.publisher.Mono<Void>`
ServerHttpObservationFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
Deprecated, for removal: This API element is subject to removal in a future version.
`reactor.core.publisher.Mono<Void>`
ServerWebExchangeContextFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
`reactor.core.publisher.Mono<Void>`
UrlHandlerFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`

## Uses of WebFilterChain in org.springframework.web.server

Methods in org.springframework.web.server with parameters of type WebFilterChain
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
WebFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
Process the Web request and (optionally) delegate to the next `WebFilter` through the given `WebFilterChain`.

## Uses of WebFilterChain in org.springframework.web.server.handler

Classes in org.springframework.web.server.handler that implement WebFilterChain
Modifier and Type
Class
Description
`class`
`DefaultWebFilterChain`
Default implementation of `WebFilterChain`.